# Rendering Profiles

Here is a first attempt at defining a list of useful “common scenarios”
exporting profiles. Each profile serves to limit the incredible amount
of codecs/settings combinations to keep them relevant to the user's
intended publishing medium. If the user doesn't fit in those presets, he
probably knows what he is doing/what he wants and will use the
“Custom...” approach, or perhaps make his own preset for later reuse.

-   Tapes and disks / (“publishing”?)
    -   DVD
        -   NTSC, PAL, etc.
    -   ~~VCD and SVCD~~
        -   Obsolete. Who still uses them these days, when you can burn
            inexpensive DVDs and you can even burn Blu-ray?
    -   DV
        -   (intended for almost-lossless editing, for back-up, or
            exporting to tape...)
    -   HDV
    -   High Definition / Bluray
        -   (don't know if bluray has anything specific compared to
            regular HD)
-   Devices
    -   iPod / iPhone / iWhatever
    -   PlayStation 3
-   Internet
    -   HTML 5 streaming video
        -   Theora + Vorbis with the streaming-friendly switches
        -   ~~Maybe H.264~~
        -   Webm VP8
        -   A bitrate calculator that takes into amount the server's
            available upload bandwidth and amount of simultaneous
            connections would be a nice feature
    -   Youtube / Vimeo / Blip / DailyMotion / Google Video / Facebook /
        Myspace
        -   Support limitations of each? For example, filesize and
            duration. Timelines longer than the maximum duration could
            be automatically split into multiple parts if the user
            wishes it.
    -   Email
        -   (I see “normal” people emailing themselves videos quite
            often)
        -   maybe the same as for HTML 5 video
    -   Flash video (for embedding in Flash files)
-   Other
    -   Video for OpenOffice presentations (intended for easy embedding
        in an Impress slideshow)
    -   Preview/draft (low resolution, low quality, optimized for speed,
        intended for rendering quickly and having a preview)
    -   Custom...
