# 0.13.1 Release : L'Aquila Immota Manet : The eagle remains unmoved

The PiTiVi team is proud to announce the first release in the unstable
0.13 PiTiVi series.

This release is in memory of those who have lost their lives, friends,
houses in the April 6th 2009 earthquake in l'Aquila, Italy.

Due to its dependency on GStreamer, The PiTiVi team strongly recommends
users have all official latest gstreamer libraries and plugins installed
for the best user experience.

## Features of this release

-   core rewrite
-   multi-layered timeline
-   trimming features
-   audio waveforms and video thumbnails in timeline
-   picture support
-   New project file format support

## Requirements

-   gstreamer &gt;= 0.10.23
-   gst-python &gt;= 0.10.15
-   gnonlin &gt;= 0.10.11
-   pygtk &gt;= 2.12.0
-   Python &gt;= 2.5
-   zope-interface
-   python setuptools
-   pygoocanvas (http://live.gnome.org/GooCanvas)
-   dbus and HAL for capture support

## Contributors

Ranked by commits:

`  327  Edward Hervey`\
`  203  Alessandro Decina`\
`  164  Brandon Lewis`\
`    6  Claude Paroz`\
`    6  Mario Blättermann`\
`    3  Sandeep Shedmake`\
`    2  Ankitkumar Patel`\
`    2  Chao-Hsiung Liao`\
`    2  Daniel Nylander`\
`    2  Jean-François Fortin Tam`\
`    1  Antón Méixome`\
`    1  Bruce Cowan`\
`    1  Chris Ball`\
`    1  Dmitriy Kodanev`\
`    1  Gianvito Cavasoli`\
`    1  Jorge Gonzalez`\
`    1  Nathan Samson`\
`    1  Simos Xenitellis`\
`    1  Stéphane Maniaci`\
`    1  Timo Jyrinki`

## Download

PiTiVi source tarballs are available on gnome FTP:
<http://ftp.gnome.org/pub/GNOME/sources/pitivi/0.13/>

Packages for Ubuntu 9.04 (Jaunty Jackalope) are available on [this PPA
repository](https://launchpad.net/~gstreamer-developers/+archive/ppa).

## Information and Feedback

-   Information for users and developers can be found on the PiTiVi
    website : <http://www.pitivi.org/>
-   Comments and feedback are welcome.
    -   Mailing-list : pitivi-pitivi@lists.sourceforge.net
    -   PiTiVi bug-tracker :
        <http://bugzilla.gnome.org/browse.cgi?product=pitivi>

## Bugs Fixed

-   [572099](http://bugzilla.gnome.org/show_bug.cgi?id=572099) :
    \[Viewer\] Doesn't take project settings into account
-   [430694](http://bugzilla.gnome.org/show_bug.cgi?id=430694) : Cannot
    play a timeline with only audio or only video
-   [434614](http://bugzilla.gnome.org/show_bug.cgi?id=434614) :
    \[Timeline\] don't display scrollbar if timeline is empty
-   [456147](http://bugzilla.gnome.org/show_bug.cgi?id=456147) : Image
    support
-   [541038](http://bugzilla.gnome.org/show_bug.cgi?id=541038) : Add
    missing-plugins support
-   [569732](http://bugzilla.gnome.org/show_bug.cgi?id=569732) : QOS is
    deactivated in video sinks, causing slow playback
-   [573772](http://bugzilla.gnome.org/show_bug.cgi?id=573772) : MP3
    file import fails
-   [573884](http://bugzilla.gnome.org/show_bug.cgi?id=573884) : Seeking
    is different from Viewer or Ruler
-   [573887](http://bugzilla.gnome.org/show_bug.cgi?id=573887) : Source
    list: Re-enable playback from the sourcelist
-   [573890](http://bugzilla.gnome.org/show_bug.cgi?id=573890) : Viewer:
    Don't forget to reset the limits
-   [573892](http://bugzilla.gnome.org/show_bug.cgi?id=573892) :
    Timeline: Don't forget to reset the scroll limits
-   [573894](http://bugzilla.gnome.org/show_bug.cgi?id=573894) : Viewer:
    Ugly when nothing is displayed
-   [573897](http://bugzilla.gnome.org/show_bug.cgi?id=573897) :
    Single-stream encoding doesn't work
-   [573898](http://bugzilla.gnome.org/show_bug.cgi?id=573898) :
    EncodingDialog: Closing the dialog box doesn't properly s...
-   [573899](http://bugzilla.gnome.org/show_bug.cgi?id=573899) : Can't
    use the timeline/pipeline after rendering
-   [574595](http://bugzilla.gnome.org/show_bug.cgi?id=574595) :
    sourcelist: Exception raised in beautify\_stream
-   [574655](http://bugzilla.gnome.org/show_bug.cgi?id=574655) :
    command\_line branch
-   [575022](http://bugzilla.gnome.org/show_bug.cgi?id=575022) :
    problems with audio-only files
-   [575123](http://bugzilla.gnome.org/show_bug.cgi?id=575123) :
    Problems pausing timeline
-   [576568](http://bugzilla.gnome.org/show_bug.cgi?id=576568) : more
    varied list of default project presets
-   [576577](http://bugzilla.gnome.org/show_bug.cgi?id=576577) :
    removing clips does not work with multiple tracks
-   [577106](http://bugzilla.gnome.org/show_bug.cgi?id=577106) : DV file
    causes hang when seeked
-   [578665](http://bugzilla.gnome.org/show_bug.cgi?id=578665) :
    \[LGM2009\] ability to mass-unlink
-   [580191](http://bugzilla.gnome.org/show_bug.cgi?id=580191) :
    \[usability\] mouse cursor not reset when exiting clip hand...
-   [580192](http://bugzilla.gnome.org/show_bug.cgi?id=580192) :
    removing a clip from the project doesn't work
-   [580657](http://bugzilla.gnome.org/show_bug.cgi?id=580657) : stream
    not linked error on project load in a jaunty virtu...
-   [580915](http://bugzilla.gnome.org/show_bug.cgi?id=580915) : PiTiVi
    segfaults on 64-bit ubuntu 9.04
-   [581042](http://bugzilla.gnome.org/show_bug.cgi?id=581042) : speex
    files cannot be imported
-   [583432](http://bugzilla.gnome.org/show_bug.cgi?id=583432) :
    importer hangs when importing a clip with subtitles
-   [335547](http://bugzilla.gnome.org/show_bug.cgi?id=335547) :
    \[configuration\] Use XDG (freedesktop) locations
-   [336348](http://bugzilla.gnome.org/show_bug.cgi?id=336348) :
    \[Advanced Timeline\] Zoom should be possible with scroll w...
-   [503842](http://bugzilla.gnome.org/show_bug.cgi?id=503842) : Audio
    waveform display when in complex timeline
-   [557575](http://bugzilla.gnome.org/show_bug.cgi?id=557575) : Doesn't
    load relative filenames
-   [563351](http://bugzilla.gnome.org/show_bug.cgi?id=563351) :
    translation issues
-   [563443](http://bugzilla.gnome.org/show_bug.cgi?id=563443) : Render
    dialog action button should say 'Render', not 'Rec...
-   [569896](http://bugzilla.gnome.org/show_bug.cgi?id=569896) : special
    entities in file paths are not converted
-   [569941](http://bugzilla.gnome.org/show_bug.cgi?id=569941) : padding
    around thumbnail items
-   [569975](http://bugzilla.gnome.org/show_bug.cgi?id=569975) : the "
    thumbnailing in progress " icon is not pretty
-   [569981](http://bugzilla.gnome.org/show_bug.cgi?id=569981) : kill
    fuzzy icons
-   [569988](http://bugzilla.gnome.org/show_bug.cgi?id=569988) :
    \[ui/gstwidget\] Can't modify element properties.
-   [570116](http://bugzilla.gnome.org/show_bug.cgi?id=570116) :
    dragging a clip onto the timeline should take into accoun...
-   [572098](http://bugzilla.gnome.org/show_bug.cgi?id=572098) :
    \[LGM2009\] dragging a clip should move all selected clips
-   [572328](http://bugzilla.gnome.org/show_bug.cgi?id=572328) : do not
    pre-emptively generate thumbnails and waveforms wh...
-   [396804](http://bugzilla.gnome.org/show_bug.cgi?id=396804) : Write
    unit tests
-   [403880](http://bugzilla.gnome.org/show_bug.cgi?id=403880) :
    Importing high resolution content is slow
-   [458943](http://bugzilla.gnome.org/show_bug.cgi?id=458943) :
    Rendering a project twice don't work
-   [554603](http://bugzilla.gnome.org/show_bug.cgi?id=554603) : not
    exposing video-widget while in paused state
-   [559463](http://bugzilla.gnome.org/show_bug.cgi?id=559463) : Video
    freeze on inter-clip border
-   [560148](http://bugzilla.gnome.org/show_bug.cgi?id=560148) : Handle
    audio-only or video-only files
-   [563458](http://bugzilla.gnome.org/show_bug.cgi?id=563458) : Pitivi
    a bit buggy in playing back
-   [569974](http://bugzilla.gnome.org/show_bug.cgi?id=569974) : audio
    and video tracks order is reversed
-   [573775](http://bugzilla.gnome.org/show_bug.cgi?id=573775) : FLAC
    files cannot be seeked
-   [573997](http://bugzilla.gnome.org/show_bug.cgi?id=573997) : no svg
    sources for the icons
-   [575970](http://bugzilla.gnome.org/show_bug.cgi?id=575970) : first
    zoom level stepping is too drastic
-   [575982](http://bugzilla.gnome.org/show_bug.cgi?id=575982) : pitivi
    has syntax errors when using Python 2.6
-   [576212](http://bugzilla.gnome.org/show_bug.cgi?id=576212) : full
    screen checkbox isn't signaled when using F11 for to...
-   [577759](http://bugzilla.gnome.org/show_bug.cgi?id=577759) : UI
    support for file load and save (formatter)
-   [578676](http://bugzilla.gnome.org/show_bug.cgi?id=578676) :
    \[LGM2009\] render codec settings are ignored
-   [579288](http://bugzilla.gnome.org/show_bug.cgi?id=579288) :
    dragging audio clips fails
-   [579321](http://bugzilla.gnome.org/show_bug.cgi?id=579321) : saving
    again does not work
-   [579324](http://bugzilla.gnome.org/show_bug.cgi?id=579324) : loading
    a saved project does not allow manipulating the t...
-   [579534](http://bugzilla.gnome.org/show_bug.cgi?id=579534) : source
    list sorting is messed up on project load
-   [579537](http://bugzilla.gnome.org/show_bug.cgi?id=579537) : cannot
    insert new clips in the timeline after loading a s...
-   [580172](http://bugzilla.gnome.org/show_bug.cgi?id=580172) :
    dragging a clip's in/end point should snap to other clips
-   [580671](http://bugzilla.gnome.org/show_bug.cgi?id=580671) :
    \[LGM2009\] subtle gradients for clips
-   [580673](http://bugzilla.gnome.org/show_bug.cgi?id=580673) :
    \[LGM2009\] ability to disable/enable thumbnailing and wave...
-   [580884](http://bugzilla.gnome.org/show_bug.cgi?id=580884) : clips
    do not snap by the ends
-   [581112](http://bugzilla.gnome.org/show_bug.cgi?id=581112) : cannot
    separate audio from video (broken unlink)
-   [583041](http://bugzilla.gnome.org/show_bug.cgi?id=583041) :
    GStreamer error pops-up
-   [583147](http://bugzilla.gnome.org/show_bug.cgi?id=583147) :
    unmatched encoder settings prevent rendering
-   [583310](http://bugzilla.gnome.org/show_bug.cgi?id=583310) :
    Forward/Rewind buttons not implemented
-   [583472](http://bugzilla.gnome.org/show_bug.cgi?id=583472) :
    1024x768 is XGA, not WXGA
-   [583487](http://bugzilla.gnome.org/show_bug.cgi?id=583487) :
    automatic missing codec search
-   [575955](http://bugzilla.gnome.org/show_bug.cgi?id=575955) :
    human-readable duration times in the media library
-   [575957](http://bugzilla.gnome.org/show_bug.cgi?id=575957) : some
    clips have reverse metadata ordering in the media li...
-   [576872](http://bugzilla.gnome.org/show_bug.cgi?id=576872) : crash
    when importing a clip with an esoteric file name
-   [579410](http://bugzilla.gnome.org/show_bug.cgi?id=579410) :
    formatter doesn't like unicode
-   [579541](http://bugzilla.gnome.org/show_bug.cgi?id=579541) :
    \[LGM2009\] seeking images doesn't work
-   [580646](http://bugzilla.gnome.org/show_bug.cgi?id=580646) :
    trimming endpoint edge snapping overlaps the next clip
-   [580962](http://bugzilla.gnome.org/show_bug.cgi?id=580962) :
    restarting playback requires 2 activations after scrubbing
-   [580972](http://bugzilla.gnome.org/show_bug.cgi?id=580972) : refuses
    to load a project file with unicode path
-   [558823](http://bugzilla.gnome.org/show_bug.cgi?id=558823) : " save
    as " button is useless
-   [569834](http://bugzilla.gnome.org/show_bug.cgi?id=569834) : render
    settings are constantly reset
-   [572327](http://bugzilla.gnome.org/show_bug.cgi?id=572327) :
    dragging multiple clips to the timeline should be possible
-   [572346](http://bugzilla.gnome.org/show_bug.cgi?id=572346) : clips
    can be duplicated in the media library
-   [573531](http://bugzilla.gnome.org/show_bug.cgi?id=573531) : pitivi
    does not start
-   [576326](http://bugzilla.gnome.org/show_bug.cgi?id=576326) : better
    timeline mouse scroll wheel usage
-   [579238](http://bugzilla.gnome.org/show_bug.cgi?id=579238) :
    \[LGM2009\] slow / laggy dragging : do not update the previ...
-   [579319](http://bugzilla.gnome.org/show_bug.cgi?id=579319) : global
    keyboard shortcuts should apply only when the time...
-   [579638](http://bugzilla.gnome.org/show_bug.cgi?id=579638) :
    remember the last used folder for rendering
-   [579666](http://bugzilla.gnome.org/show_bug.cgi?id=579666) :
    \[LGM2009\] saved timeline renders incorrectly
-   [580654](http://bugzilla.gnome.org/show_bug.cgi?id=580654) : don't
    die on missing project media, allow locating it
-   [582419](http://bugzilla.gnome.org/show_bug.cgi?id=582419) : images
    don't seek and cause desynch when rendering
-   [583242](http://bugzilla.gnome.org/show_bug.cgi?id=583242) : PiTiVi
    GUI freezes
-   [583514](http://bugzilla.gnome.org/show_bug.cgi?id=583514) :
    clickable URL in the About dialog
-   [583592](http://bugzilla.gnome.org/show_bug.cgi?id=583592) : strange
    error importing filenames with markups
-   [583595](http://bugzilla.gnome.org/show_bug.cgi?id=583595) : cannot
    load a saved project with multiple streams

[List of bugs fixed on
Bugzilla](http://bugzilla.gnome.org/buglist.cgi?product=pitivi&target_milestone=0.13.1)
