# 0.15 Release “Ich bin ein berliner”

The PiTiVi team is proud to announce the 0.15 release.

This will be the last release using the “traditional” core/engine of
PiTiVi. The next releases will be based on GStreamer Editing Services
(GES) and should thus depart significantly from this release in terms of
performance, features and stability.

For the best user experience, the PiTiVi team strongly recommends that
users have all the latest official GStreamer libraries and plugins
installed.

## Features of this release

-   A new transformation feature allows resizing, panning and cropping
    clips directly in the previewer
-   Automatic clip alignment by analyzing soundtracks to sync
    multicamera footage
-   Ability to have presets for rendering
-   Default set of project settings and rendering presets
-   Cleaner preferences dialog
-   Integrated offline user manual
-   Cleaner advanced codec settings dialog
-   Improved video thumbnailing performance
-   “Soft dependencies” manager to warn the user of features requiring
    additional packages
-   Port to gtkbuilder
-   Respect GNOME's button icons setting
-   Improved startup time
-   Code cleanups and remove dead code
-   Properly show property descriptions (blurbs) for advanced codec
    settings

## Hard requirements

-   gstreamer &gt;= 0.10.28
-   gst-python &gt;= 0.10.19
-   gnonlin &gt;= 0.10.16
-   pygtk &gt;= 2.18.0
-   gtk &gt;= 2.24.0
-   Python &gt;= 2.5
-   zope.interface (http://www.zope.org/Products/ZopeInterface)
-   setuptools (http://peak.telecommunity.com/DevCenter/setuptools)
-   pygoocanvas (http://live.gnome.org/GooCanvas)
-   pyxdg (http://www.freedesktop.org/wiki/Software/pyxdg)

## Soft requirements

-   frei0r for the transformation feature
-   Numpy for the auto aligner feature

The PiTiVi team recommends satisfying those dependencies as much as
possible for an optimal user experience.

## Known Issues

-   Everything listed in
    [here](https://bugzilla.gnome.org/buglist.cgi?query_format=advanced;bug_status=NEW;bug_status=ASSIGNED;bug_status=REOPENED;version=0.15;product=pitivi)
-   See also [Performance problems in
    0.13.4](Performance_problems_in_0.13.4.md).

## Contributors

Ranked by commits:

`   108 Alex Băluț`\
`   88  Jean-François Fortin Tam`\
`   52  Thibault Saunier`\
`   25  Feroze Naina`\
`   10  Lubosz Sarnecki`\
`   10  Daniel Mustieles`\
`   10  Mario Blättermann`\
`   8   Marek Černocký`\
`   7   Benjamin M. Schwartz`\
`   7   Andrej Žnidaršič`\
`   6   Stéphane Maniaci`\
`   4   Hicham HAOUARI`\
`   4   Kjartan Maraas`\
`   3   Daniel Korostil`\
`   3   ipraveen`\
`   2   António Lima`\
`   2   Brandon Lewis`\
`   2   Bruno Brouard`\
`   2   Gianvito Cavasoli`\
`   2   Daniel Nylander`\
`   2   Matej Urbančič`\
`   2   Мирослав Николић`\
`   1   Edward Hervey`\
`   1   Gabriel Speckhahn`\
`   1   Gil Forcada`\
`   1   James Putt`\
`   1   Jorge González`\
`   1   Luis de Bethencourt`\
`   1   Martin Srebotnjak`\
`   1   Peter Mráz`\
`   1   Peteris Krisjanis`\
`   1   Piotr Drąg`\
`   1   Yuri Myasoedov`

## Download

PiTiVi source tarballs are available on gnome FTP:
<http://ftp.gnome.org/pub/GNOME/sources/pitivi/0.15/>

See [the website](http://www.pitivi.org) for distribution-specific
packages.

## Information and Feedback

-   Information for users and developers can be found on the PiTiVi
    website : <http://www.pitivi.org>
-   Comments and feedback are welcome.
    -   Mailing-list : pitivi-pitivi@lists.sourceforge.net
    -   PiTiVi bug-tracker :
        <http://bugzilla.gnome.org/browse.cgi?product=pitivi>

## Bugs Fixed

See the
\[<http://bugzilla.gnome.org/buglist.cgi?product=pitivi;target_milestone=0.14.1;target_milestone=0.14.2;target_milestone=0.15>
list of bugs fixed in 0.15 on Bugzilla
