# 0.98 Release “Getting there”

As of December 5th, 2016, the Pitivi team is proud to announce the
eighth beta release of Pitivi toward the 1.0 version.

This is considered a beta release since the “big picture” remains
“making Pitivi stable”. Note that while we use the word “beta” here,
this *is* the latest “stable” release, and is the one we recommend over
all previous ones.

Pitivi works well for us and we make nice movies with it. Try it out,
have fun and [report detailed bugs](Bug_reporting.md) for issues
you may encounter!

## Changes and completed tasks

35 tasks have been closed. See the list of [reported tasks that have
been resolved in
0.98](https://phabricator.freedesktop.org/project/board/108/query/all/).

Since the [0.97](releases/0.97.md) release, 175 commits were made in
Pitivi, fixing many bugs.

We switched our [official Flatpak
build](Install_with_flatpak.md) to use Gtk 3.22 and fixed the
[Gtk warnings](https://phabricator.freedesktop.org/T7573) which showed
up for good reasons. As a result, the timeline code has been greatly
improved.

Thanks to Jakub Brindza, our [GSoC](Google_Summer_of_Code.md)
student this summer, it is now possible to [customize the keyboard
shortcuts](https://phabricator.freedesktop.org/T7452).

## Known issues

One nasty bug you might hit is the timeline freezing when you work with
file formats which are not officially supported. To workaround it you
have to allow the app to create optimized media proxy files when
importing the files, and wait for the transcoding to finish before
adding them to the timeline. This issue is tracked in
[T7626](https://phabricator.freedesktop.org/T7626).

You can see what's left for 1.0 in the list of [currently known
issues](https://phabricator.freedesktop.org/tag/pitivi/).

## Contributors for this release

Pitivi:

```
152  Alexandru Băluț
 19  Thibault Saunier
  2  Jakub Brindza
  1  Piotr Drąg
  1  Sebastian Dröge
```

In [GES](GES.md) (from 1.8.0 to 1.10.2 minus 1.8.2):

```
58  Thibault Saunier
17  Sebastian Dröge
 5  Aurélien Zanelli
 3  Tim-Philipp Müller
 4  Alexandru Băluț
 4  Edward Hervey
 3  Justin Kim
 2  Jan Schmidt
 2  Nirbheek Chauhan
 2  Philippe Renon
 2  Scott D Phillips
 1  Julien Isorce
 1  Mathieu Duponchelle
 1  Mohan R
 1  Nicolas Dufresne
 1  Stefan Sauer
 1  Vineeth TM
```

Pitivi translations:

```
   ca  Jordi Mas
   cs  Marek Černocký
   de  Mario Blättermann
   es  Daniel Mustieles
   fr  Claude Paroz
   hu  Balázs Meskó
   lt  Aurimas Černius
   pl  Piotr Drąg
pt_BR  Rafael Fontenelle
   pt  Tiago Santos
   sk  Dušan Kazik
   sr  Мирослав Николић
   uk  Daniel Korostil`
```
